Skip to content

セグメントリストをエクスポートする

get

/segments/list

このエンドポイントを使用して、セグメントのリストをエクスポートします。各セグメントには、名前、セグメントAPI識別子、分析トラッキングが有効かどうかが含まれます。

セグメントは100件ずつのグループで、作成日時順にソートされて返されます(デフォルトでは古いものから新しいものへ)。アーカイブされたセグメントは含まれません。

前提条件

このエンドポイントを使用するには、segments.list 権限を持つ APIキーが必要です。

レート制限

APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。

リクエストパラメーター

リクエスト例

1
2
curl --location --request GET 'https://rest.iad-01.braze.com/segments/list?page=1&sort_direction=desc' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

応答

1
2
3
4
5
6
7
8
9
10
11
12
{
    "message": (required, string) the status of the export, returns 'success' when completed without errors,
    "segments" : [
        {
            "id" : (string) the Segment API identifier,
            "name" : (string) segment name,
            "analytics_tracking_enabled" : (boolean) whether the segment has analytics tracking enabled,
            "tags" : (array) the tag names associated with the segment formatted as strings
        },
        ...
    ]
}
New Stuff!